## cln 1.2.2-2

=== debian/changelog ===
cln (1.2.2-2) unstable; urgency=low

  * Arm eabi needs -DNO_ASM; closes: #475347.
  * Updated to standards-version 3.8.0.

 -- Richard Kreckel <kreckel@ginac.de>  Wed, 18 Jun 2008 22:39:16 +0100

cln (1.2.2-1) unstable; urgency=low

  * New upstream release; closes: #473494.

 -- Richard Kreckel <kreckel@ginac.de>  Sat, 05 Apr 2008 23:11:27 +0100

cln (1.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Richard Kreckel <kreckel@ginac.de>  Mon, 24 Mar 2008 22:15:45 +0100

cln (1.2.0-1) unstable; urgency=low

  * New upstream release:
    - Support for huge numbers; closes: #286266.
    - Changed pi to truncate output a little bit; closes: #310385.
    - incremented soname version; closes: #430248.
  * Make libcln-dev depend on libgmp3-dev; closes: #412103.

 -- Richard Kreckel <kreckel@ginac.de>  Sat, 19 Jan 2008 22:07:52 +0100

cln (1.2.0~beta4-1) experimental; urgency=low

  * Check current CVS again.
  * Add -DNO_ASM to CPPFLAGS on Sparc until miscompilation is sorted out.

 -- Richard Kreckel <kreckel@ginac.de>  Sun, 06 Jan 2008 18:08:15 +0100

cln (1.2.0~beta3-1) experimental; urgency=low

  * Check current CVS again.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 04 Dec 2007 09:37:45 +0100

cln (1.2.0~beta2-1) experimental; urgency=low

  * Check build stuff again.

 -- Richard Kreckel <kreckel@ginac.de>  Sun, 07 Oct 2007 22:11:48 +0200

cln (1.2.0~beta1-1) experimental; urgency=low

  * Check to see if current CVS is ready for prime time.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 18 Sep 2007 23:38:02 +0200

cln (1.1.13-2) unstable; urgency=low

  * Apply workaround for m68k build failure; closes: #388000.

 -- Richard Kreckel <kreckel@ginac.de>  Wed, 20 Sep 2006 22:53:21 +0200

cln (1.1.13-1) unstable; urgency=low

  * New upstream release.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 08 Aug 2006 22:50:58 +0200

cln (1.1.12-2) unstable; urgency=low

  * Apply patch from CVS: Fix 64-bit brokenness due to buggy configure.

 -- Richard Kreckel <kreckel@ginac.de>  Mon, 07 Aug 2006 23:59:01 +0200

cln (1.1.12-1) unstable; urgency=low

  * New upstream release.

 -- Richard Kreckel <kreckel@ginac.de>  Sun, 06 Aug 2006 11:29:31 +0200

cln (1.1.11-1) unstable; urgency=low

  * New upstream release.

 -- Richard Kreckel <kreckel@ginac.de>  Wed, 23 Oct 2005 22:24:52 +0100

cln (1.1.10-1) unstable; urgency=low

  * New upstream release...
  * ...breaking binary compatibility, so renamed the package to libcln4.

 -- Richard Kreckel <kreckel@ginac.de>  Sat, 22 Oct 2005 22:55:13 +0200

cln (1.1.9-6) unstable; urgency=low

  * Add a patch to fix the segfault on startup on mips and mipsel.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 30 Aug 2005 22:20:58 +0200

cln (1.1.9-5) unstable; urgency=low

  * Add a patch to mark the library's stack as nonexecutable; closes: #321748.
  * Reduce optimization for ia64 and m68k. This should make it build again.
  * Explicitly acknowledge NMU; closes: #318210, #314831.

 -- Richard Kreckel <kreckel@ginac.de>  Mon, 15 Aug 2005 22:58:08 +0200

cln (1.1.9-4) unstable; urgency=low

  * Sigh, I could've sworn that I applied the patch from upstream in 1.1.9-2.
  Apparently, I'm overworked.  Here it goes again; closes: #320040.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 09 Aug 2005 23:19:12 +0200

cln (1.1.9-3) unstable; urgency=low

  * Oops, forgot to update debian/shlibs from NMU; closes: #321531.

 -- Richard Kreckel <kreckel@ginac.de>  Sun, 07 Aug 2005 22:24:48 +0200

cln (1.1.9-2) unstable; urgency=low

  * Use ${shlibs:Depends} instead of hard-wired dependencies; closes: #319556.
  * Include patch by Andreas Jochens for PPC64; closes: #320040.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 04 Aug 2005 22:35:18 +0200

cln (1.1.9-1.1) unstable; urgency=low

  * NMU, coordinated with Maintainer
  * Add forward declaration of cl_string needed by gcc-4 (Closes: #314831)
  * debian/control: add c2 to library package name
  * Build against new libgmp using gcc-4 ABI (Closes: #318210)

 -- Martin Waitz <tali@debian.org>  Tue, 19 Jul 2005 10:26:24 +0200

cln (1.1.9-1) unstable; urgency=low

  * New upstream release.

 -- Richard Kreckel <kreckel@ginac.de>  Wed, 03 Nov 2004 22:35:11 +0100

cln (1.1.8-2) unstable; urgency=low

  * Include a patch from CVS to make it work on mipsel; closes: #140647.

 -- Richard Kreckel <kreckel@ginac.de>  Mon,  6 Sep 2004 21:48:35 +0200

cln (1.1.8-1) unstable; urgency=low

  * New upstream release; closes: #256312.

 -- Richard Kreckel <kreckel@ginac.de>  Thu,  1 Jul 2004 22:38:08 +0100

cln (1.1.7-1) unstable; urgency=low

  * New upstream release; closes: #246319.

 -- Richard Kreckel <kreckel@ginac.de>  Sun,  2 May 2004 22:53:35 +0100

cln (1.1.6-1) unstable; urgency=low

  * New upstream release...
  * ...breaking binary compatibility, so renamed the package to libcln3.
  * More detailed extended description for cln-dev; closes: #210102.

 -- Richard Kreckel <kreckel@ginac.de>  Sat, 10 Jan 2004 23:03:22 +0100

cln (1.1.5-2) unstable; urgency=low

  * Registered documentation with doc-base; closes: #99192.
  * Changed section of libcln-dev to libdevel.
  * Changed section of libcln2 to libs.
  * Updated to standards-version 3.5.10.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 27 May 2003 10:16:09 +0200

cln (1.1.5-1) unstable; urgency=low

  * New upstream release

 -- Richard Kreckel <kreckel@ginac.de>  Fri, 28 Feb 2003 15:11:12 +0100

cln (1.1.4-1) unstable; urgency=low

  * New upstream release
    (Debian and other bugfixes).

 -- Richard Kreckel <kreckel@ginac.de>  Fri,  4 Jan 2002 15:17:07 +0100

cln (1.1.3-3) unstable; urgency=low

  * Manually added __s390__ section to include/cln/config.h.in such that
    packages compiling against CLN on these architectures do not have to
    define this on the command line.

 -- Richard Kreckel <kreckel@ginac.de>  Sat, 29 Dec 2001 18:28:50 +0100

cln (1.1.3-2) unstable; urgency=low

  * Backported support for s390 from upstream CVS.


