## cln 1.3.3-1

=== debian/changelog ===
cln (1.3.3-1) unstable; urgency=low

  * New upstream release. (Closes: #712361, #700634)

 -- Richard Kreckel <kreckel@ginac.de>  Sun, 21 Jul 2013 23:04:56 +0200

cln (1.3.2-1.2+x32) unreleased; urgency=low

  * Fix autoconf test checking whether mp_limb_t needs to be long long,
    which is needed on x32.

 -- Daniel Schepler <schepler@debian.org>  Fri, 15 Feb 2013 07:48:38 -0800

cln (1.3.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Stop shipping .la files. Closes: #633169.

 -- Regis Boudin <regis@debian.org>  Tue, 04 Oct 2011 19:29:54 +0100

cln (1.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Richard Kreckel <kreckel@ginac.de>  Sat, 08 May 2011 22:52:43 +0200

cln (1.3.1-2.2) unstable; urgency=low

  * Non-maintainer upload.
    - Enable CPPFLAGS="-DNO_ASM" on arm* and sparc* (Closes: #604792)
  * Bump standards version to 3.9.1

 -- Hector Oron <zumbi@debian.org>  Sun, 03 Apr 2011 13:12:11 +0000

cln (1.3.1-2.1) unstable; urgency=low

  * NMU.  Change dependencies: libgmp3-dev --> libgmp-dev.

 -- Steve M. Robbins <smr@debian.org>  Wed, 16 Mar 2011 21:04:27 -0500

cln (1.3.1-2) unstable; urgency=low

  * debian/copyright: Clarify license (GPL v2).
  * debian/compat: debhelper compatibility version 6.

 -- Richard Kreckel <kreckel@ginac.de>  Sun, 20 Dec 2009 21:39:47 +0100

cln (1.3.1-1) unstable; urgency=low

  * New upstream release; closes: #545922.
  * debhelper compatibility version 5.
  * Run install-docs instead of install-info from postinst/prerm scripts.

 -- Richard Kreckel <kreckel@ginac.de>  Thu, 24 Sep 2009 10:09:23 +0200

cln (1.3.0-2) unstable; urgency=low

  * Leave out /usr/share/info/dir.gz; closes: #535323.

 -- Richard Kreckel <kreckel@ginac.de>  Thu, 02 Jul 2009 19:19:56 +0200

cln (1.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Richard Kreckel <kreckel@ginac.de>  Tue, 30 Jun 2009 23:57:24 +0200

cln (1.3.0~beta2-1) experimental; urgency=low

  * Check again, fixing the Sparc breakage.

 -- Richard Kreckel <kreckel@ginac.de>  Sun, 14 Jun 2009 21:54:12 +0200

cln (1.3.0~beta1-1) experimental; urgency=low

  * Check to see if current git tree is ready for prime time; closes: #504971.

 -- Richard Kreckel <kreckel@ginac.de>  Fri, 03 May 2009 22:45:25 +0200
