## cln 1.3.3-1ubuntu1

=== debian/changelog ===
cln (1.3.3-1ubuntu1) saucy; urgency=low

  * Fix build on arm64.

 -- William Grant <wgrant@ubuntu.com>  Tue, 15 Oct 2013 14:02:31 +1100
