=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: cln
+Section: math
 Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Richard Kreckel <kreckel@ginac.de>
-Maintainer: Simon Pickering <S.G.Pickering@bath.ac.uk>
-Build-Depends: debhelper (>= 4.0.0)
-Standards-Version: 3.8.0.0
+Build-Depends: debhelper (>= 6), libgmp-dev, texinfo, dh-autoreconf
+Standards-Version: 3.9.4
 Homepage: http://www.ginac.de/CLN/
 
-Package: libcln5
+Package: libcln6
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: cln
 Suggests: pi
 Description: Class Library for Numbers (C++)
@@ -24,7 +25,7 @@
 Package: libcln-dev
 Architecture: any
 Section: libdevel
-Depends: g++, libcln5 (= ${binary:Version}), libc6-dev | libc-dev
+Depends: g++, libcln6 (= ${binary:Version}), libc6-dev | libc-dev, libgmp-dev, install-info
 Replaces: cln-dev
 Provides: cln-dev
 Conflicts: cln-dev
