=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cln
 Section: math
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Richard Kreckel <kreckel@ginac.de>
+Maintainer: Richard Kreckel <kreckel@ginac.de>
 Build-Depends: debhelper (>= 6), libgmp-dev, texinfo, dh-autoreconf
 Standards-Version: 3.9.4
 Homepage: http://www.ginac.de/CLN/
