## cln 1.3.4

=== debian/changelog ===
cln (1.3.4-4) unstable; urgency=low

  * Trigger re-build, to pick up riscv64 patches. (Closes: #897598)

 -- Richard B. Kreckel <kreckel@ginac.de>  Fri, 04 May 2018 23:03:32 +0200

cln (1.3.4-3+0.riscv64.1) unreleased; urgency=medium

  * Non-maintainer upload.
  * riscv64: add support for arch

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Wed, 02 May 2018 22:09:35 +0200

cln (1.3.4-3) unstable; urgency=low

  * Apply upstream patch for MIPS release 6 port. (Closes: #893168)
    Thanks to YunQiang Su for the patch.

 -- Richard B. Kreckel <kreckel@ginac.de>  Mon, 19 Mar 2018 17:57:06 +0100

cln (1.3.4-2) unstable; urgency=medium

  * Trigger re-build with current toolchain.
  * Fix FTCBFS: (Closes: #839565)
    + Pass --build and --host to ./configure.
    + Support DEB_BUILD_OPTIONS=nocheck.
    Thanks to Helmut Grohne for the patch.

 -- Richard B. Kreckel <kreckel@ginac.de>  Sun, 02 Oct 2016 10:15:58 +0200

cln (1.3.4-1) unstable; urgency=low

  * New upstream release. (Closes: #748325)
  * Don't remove all files under debian/. (Closes: #749848)

 -- Richard B. Kreckel <kreckel@ginac.de>  Mon, 13 Oct 2014 22:27:51 +0200
