=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Richard Kreckel <kreckel@ginac.de>
 Build-Depends: debhelper (>= 6), libgmp-dev, texinfo, dh-autoreconf
-Standards-Version: 3.9.4
+Standards-Version: 4.1.3
 Homepage: http://www.ginac.de/CLN/
 
 Package: libcln6
@@ -24,7 +24,7 @@
 Package: libcln-dev
 Architecture: any
 Section: libdevel
-Depends: g++, libcln6 (= ${binary:Version}), libc6-dev | libc-dev, libgmp-dev, install-info
+Depends: g++, libcln6 (= ${binary:Version}), libc6-dev | libc-dev, libgmp-dev, install-info, ${misc:Depends}
 Replaces: cln-dev
 Provides: cln-dev
 Conflicts: cln-dev
@@ -43,7 +43,7 @@
 Package: pi
 Architecture: any
 Section: math
-Depends: ${shlibs:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Compute Archimedes' constant Pi to arbitrary precision
  This program computes Archimedes' constant Pi to arbitrary precision.
  It is extremely fast and the precision is only limited by your machine's
