=== debian/rules ===
--- 
+++ 
@@ -39,7 +39,7 @@
 
 build-arch: debian/autoreconf-stamp
 	dh_testdir
-	./configure --prefix=/usr `dpkg-architecture -qDEB_HOST_GNU_TYPE` CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
+	./configure --prefix=/usr --build=$(DEB_BUILD_GNU_TYPE) --host=$(DEB_HOST_GNU_TYPE) CPPFLAGS="$(CPPFLAGS)" CXXFLAGS="$(CXXFLAGS)" LDFLAGS="$(LDFLAGS)"
 	${MAKE}
 	(cd doc; ${MAKE} cln.html)
 	touch build
@@ -49,13 +49,9 @@
 clean:
 	dh_testdir
 	dh_autoreconf_clean
-	dh_clean
 	-rm -f build
 	[ ! -f Makefile ] || ${MAKE} distclean
-	-rm -f `find . -name "*~"`
-	-rm -rf debian/tmp `find debian/* -type d ! -name CVS` debian/files* core
-	-rm -rf debian/.libs debian/*.o
-	-rm -f debian/*substvars
+	dh_clean
 
 binary-indep: build-indep
 	dh_testdir
@@ -65,8 +61,10 @@
 	dh_testdir
 	dh_testroot
 	dh_installdirs
+ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
 	# I want to see what the buildd logs of the different architectures say:
 	-${MAKE} check
+endif
 	${MAKE} install prefix=${CURDIR}/debian/tmp/usr bindir=${CURDIR}/debian/pi/usr/bin mandir=${CURDIR}/debian/pi/usr/share/man datadir=${CURDIR}/debian/libcln-dev/usr/share
 	${MAKE} install-html prefix=${CURDIR}/debian/libcln-dev/usr htmldir=${CURDIR}/debian/libcln-dev/usr/share/doc/libcln-dev/html
 	# This installs into libdir, but we must not set libdir because it affects the .la file:
