## cln 1.3.5

=== debian/changelog ===
cln (1.3.5-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@ginac.de>  Sun, 17 Nov 2019 22:39:53 +0100

cln (1.3.5~beta1-1) experimental; urgency=low

  * Check to see if current git tree is ready for prime time.

 -- Richard B. Kreckel <kreckel@ginac.de>  Sun, 03 Nov 2019 22:31:27 +0100

cln (1.3.4-5) unstable; urgency=low

  * Reduce dependencies of -dev package. (Closes: #942003)

 -- Richard B. Kreckel <kreckel@ginac.de>  Sat, 12 Oct 2019 12:01:10 +0200
