## cln 1.3.6

=== debian/changelog ===
cln (1.3.6-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:36:13 +0100

cln (1.3.6-4) unstable; urgency=low

  * Fix FTBS on sparc64, missed in last upload.

 -- Richard B. Kreckel <kreckel@ginac.de>  Mon, 06 Jan 2020 16:33:39 +0100

cln (1.3.6-3) unstable; urgency=low

  * Fix FTBS on architectures where ASM is broken.

 -- Richard B. Kreckel <kreckel@ginac.de>  Mon, 06 Jan 2020 02:24:51 +0100

cln (1.3.6-2) unstable; urgency=low

  * Re-debianize the package from scratch:
    + Bump debhelper compat to 12, but not debhelper depends to allow backports.
    + Replace debian/rules with simpler file, using dh.
    + Install in the multiarch libdir /usr/lib/<triplet>/, to allow for cross
      builds of reverse dependencies. (Closes: #947247)
    + Add debian/watch.

 -- Richard B. Kreckel <kreckel@ginac.de>  Sun, 05 Jan 2020 13:58:32 +0100

cln (1.3.6-1) unstable; urgency=low

  * New upstream release.

 -- Richard B. Kreckel <kreckel@ginac.de>  Thu, 05 Dec 2019 22:14:21 +0100
