=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: math
 Priority: optional
 Maintainer: Richard Kreckel <kreckel@ginac.de>
-Build-Depends: debhelper (>= 6), libgmp-dev, texinfo, dh-autoreconf
-Standards-Version: 4.1.3
+Build-Depends: debhelper (>= 9), libgmp-dev, texinfo, dh-autoreconf
+Standards-Version: 4.4.1
 Homepage: http://www.ginac.de/CLN/
 
 Package: libcln6
 Architecture: any
 Section: libs
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Replaces: cln
 Suggests: pi
@@ -24,7 +25,7 @@
 Package: libcln-dev
 Architecture: any
 Section: libdevel
-Depends: g++, libcln6 (= ${binary:Version}), libc6-dev | libc-dev, libgmp-dev, install-info, ${misc:Depends}
+Depends: libcln6 (= ${binary:Version}), libgmp-dev, ${misc:Depends}
 Replaces: cln-dev
 Provides: cln-dev
 Conflicts: cln-dev
