## cln 1.3.7

=== debian/changelog ===
cln (1.3.7-1) unstable; urgency=low

  * New upstream release. (Closes: #1051306)

 -- Richard B. Kreckel <kreckel@ginac.de>  Mon, 22 Jan 2024 10:27:27 +0100

cln (1.3.7~beta1-1) experimental; urgency=low

  * Check to see if current git tree is ready for prime time.
  * Disable -DNO_ASM on all ARM platforms.

 -- Richard B. Kreckel <kreckel@ginac.de>  Mon, 06 Mar 2023 20:34:12 +0100
